%define name qcad
%define version 1.4.6
%define release 5mdk

Summary: 	A professional CAD system
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
# fix me, we need to add the URL to the source
Source0: 	%{name}-%version-src.tar.bz2
Source1: 	%{name}_menu_entry.bz2
Source2: 	%{name}_mini_icon.xpm.bz2
URL: 		http://www.qcad.org
License: 	GPL 
Group: 		Graphics
BuildRequires: 	XFree86-devel libjpeg-devel libpng-devel zlib-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	qt2 => 2.2
BuildPreReq: 	XFree86-devel, qt2-devel, tmake

%description
QCad is a professional CAD System. With QCad you can easily construct and
change drawings with ISO-text and many other features and save them as
DXF-files. These DXF-files are the interface to many CAD-systems such
as AutoCAD(TM) and many others.

%prep
%setup -q -n %{name}-%{version}-src

%build
%make CFLAGS="%optflags" CXXFLAGS="%optflags" QTDIR=%_libdir/qt2/

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_libdir/qcad
mkdir -p $RPM_BUILD_ROOT/%_datadir/icons/mini

install -s -m 755 qcad $RPM_BUILD_ROOT/%_libdir/qcad
install -m 644 xpm/qcad.xpm $RPM_BUILD_ROOT/%_datadir/icons
bzip2 -dc  %SOURCE2  > $RPM_BUILD_ROOT/qcad.xpm
install -m 644 $RPM_BUILD_ROOT/qcad.xpm $RPM_BUILD_ROOT/%_datadir/icons/mini

install -m 755 -d $RPM_BUILD_ROOT/%_menudir
bzip2 -dc %SOURCE1 > $RPM_SOURCE_DIR/qcad
install -m 644 $RPM_SOURCE_DIR/qcad $RPM_BUILD_ROOT/%_menudir 


cp -pR {doc,examples,fonts,hatches,libraries,messages,templates} \
	$RPM_BUILD_ROOT/%_prefix/lib/qcad

cat > $RPM_BUILD_ROOT/%_bindir/qcad <<EOF
#!/bin/sh
cd %_libdir/qcad
./qcad "\$@"
EOF

%post
## menu
%{update_menus}

%postun
## menu
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL MANIFEST README TODO changes-*
%attr(755,root,root) %{_bindir}/qcad
%{_libdir}/qcad
%{_datadir}/icons/qcad.xpm
%{_datadir}/icons/mini/qcad.xpm
%{_menudir}/qcad

%changelog
* Thu Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.6-5mdk
- Rebuild

* Thu May 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.6-4mdk
- Compile with kde2.2alpha1

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4.6-3mdk
- Use optimizations

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 1.4.6-2mdk
- Rebuild against Qt 2.3.0

* Sat Mar 03 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 1.4.6-1mdk
- Update code

* Fri Sep 08 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.4.1-4mdk
- recompiled with the right flags

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.1-3mdk
- automatically added BuildRequires

* Thu Jul 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.1-2mdk
- macroszifications
- rebuild for the BM

* Tue Jun 20 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.4.1-1mdk
- packaged version 1.4.1

* Wed May 03 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- _prefix && _tmppath

* Wed Apr 26 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.3.3-5mdk
- Adapted to the new location of the qt2 includes 

* Tue Apr 11 2000 Enzo Maggi <enzo@mandrakesoft.com> 1.3.3-4mdk
- Changed group
- New menu entry

* Thu Jan 27 2000 Camille Bgnis <camille@mandrakesoft.com> 1.3.3-2mdk
- fixed typo in qcad.kdelink

* Tue Dec 30 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- Updated to version 1.3.3.

* Mon Nov  8 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- First spec file for Mandrake distribution.
